//
//  CeBitmapView.h
//  BitmapBleueMac
//
//  Created by Renaud Pradenc on 27/08/10.
//  Copyright 2010 Céroce. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef union
{
	UInt32		all;
	
	struct 
	{
		UInt8	r;
		UInt8	g;
		UInt8	b;
		UInt8	x;
	
	} component;	

	
} PixelRGBx;


@interface CeBitmapView : NSView
{
	CGContextRef 	cgContext;
	PixelRGBx		*bitmap;
	
	UInt32			width;
	UInt32			height;
	
}

- (void) _createBitmapWithSize:(NSSize)size;
- (void) _releaseBitmap;
- (void) _paintBitmap;
- (void) _drawBitmapInCurrentContext;

@end
